{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "javatools"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 2,
                    "coresMax": 2
                }
            ],
            "hints": [
                {
                    "keep_cache": 4096,
                    "class": "http://arvados.org/cwl#RuntimeConstraints"
                }
            ],
            "baseCommand": "bash",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 5
                    },
                    "id": "#convertgff.cwl/afn"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 9
                    },
                    "id": "#convertgff.cwl/afnM"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 6
                    },
                    "id": "#convertgff.cwl/aidx"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 10
                    },
                    "id": "#convertgff.cwl/aidxM"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#convertgff.cwl/bashscript"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#convertgff.cwl/gffInitial"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 13
                    },
                    "id": "#convertgff.cwl/l7g"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 14
                    },
                    "id": "#convertgff.cwl/pasta"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#convertgff.cwl/ref"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 7
                    },
                    "id": "#convertgff.cwl/refM"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#convertgff.cwl/reffa"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 8
                    },
                    "id": "#convertgff.cwl/reffaM"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 15
                    },
                    "id": "#convertgff.cwl/refstream"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 11
                    },
                    "id": "#convertgff.cwl/seqidM"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 12
                    },
                    "id": "#convertgff.cwl/tagdir"
                }
            ],
            "id": "#convertgff.cwl",
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "outputBinding": {
                        "glob": "stage/*"
                    },
                    "id": "#convertgff.cwl/out1"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "cleaned/*.gz*"
                    },
                    "id": "#convertgff.cwl/out2"
                }
            ]
        },
        {
            "class": "ExpressionTool",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#getfilesgff.cwl/refdirectory"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#getfilesgff.cwl/out1"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "expression": "${\n  var samples = [];\n  for (var i = 0; i < inputs.refdirectory.listing.length; i++) {\n    var file = inputs.refdirectory.listing[i];\n    var filename = file.basename;\n    var field = filename.split('.').pop();\n        if (field === 'gz') {\n          samples.push(file)\n        }\n  }\n  return {\"out1\": samples};\n} \n",
            "id": "#getfilesgff.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "javatools"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 2,
                    "coresMax": 2
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "hints": [
                {
                    "keep_cache": 4096,
                    "class": "http://arvados.org/cwl#RuntimeConstraints"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/afn"
                },
                {
                    "type": "File",
                    "id": "#main/afnM"
                },
                {
                    "type": "File",
                    "id": "#main/aidx"
                },
                {
                    "type": "File",
                    "id": "#main/aidxM"
                },
                {
                    "type": "File",
                    "id": "#main/bashscript"
                },
                {
                    "type": "File",
                    "id": "#main/l7g"
                },
                {
                    "type": "File",
                    "id": "#main/pasta"
                },
                {
                    "type": "string",
                    "id": "#main/ref"
                },
                {
                    "type": "string",
                    "id": "#main/refM"
                },
                {
                    "type": "Directory",
                    "id": "#main/refdirectory"
                },
                {
                    "type": "File",
                    "id": "#main/reffa"
                },
                {
                    "type": "File",
                    "id": "#main/reffaM"
                },
                {
                    "type": "File",
                    "id": "#main/refstream"
                },
                {
                    "type": "string",
                    "id": "#main/seqidM"
                },
                {
                    "type": "File",
                    "id": "#main/tagdir"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "Directory"
                        }
                    },
                    "outputSource": "#main/step2/out1",
                    "id": "#main/out1"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "File"
                        }
                    },
                    "outputSource": "#main/step2/out2",
                    "id": "#main/out2"
                }
            ],
            "steps": [
                {
                    "run": "#getfilesgff.cwl",
                    "in": [
                        {
                            "source": "#main/refdirectory",
                            "id": "#main/step1/refdirectory"
                        }
                    ],
                    "out": [
                        "#main/step1/out1"
                    ],
                    "id": "#main/step1"
                },
                {
                    "scatter": "#main/step2/gffInitial",
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#main/afn",
                            "id": "#main/step2/afn"
                        },
                        {
                            "source": "#main/afnM",
                            "id": "#main/step2/afnM"
                        },
                        {
                            "source": "#main/aidx",
                            "id": "#main/step2/aidx"
                        },
                        {
                            "source": "#main/aidxM",
                            "id": "#main/step2/aidxM"
                        },
                        {
                            "source": "#main/bashscript",
                            "id": "#main/step2/bashscript"
                        },
                        {
                            "source": "#main/step1/out1",
                            "id": "#main/step2/gffInitial"
                        },
                        {
                            "source": "#main/l7g",
                            "id": "#main/step2/l7g"
                        },
                        {
                            "source": "#main/pasta",
                            "id": "#main/step2/pasta"
                        },
                        {
                            "source": "#main/ref",
                            "id": "#main/step2/ref"
                        },
                        {
                            "source": "#main/refM",
                            "id": "#main/step2/refM"
                        },
                        {
                            "source": "#main/reffa",
                            "id": "#main/step2/reffa"
                        },
                        {
                            "source": "#main/reffaM",
                            "id": "#main/step2/reffaM"
                        },
                        {
                            "source": "#main/refstream",
                            "id": "#main/step2/refstream"
                        },
                        {
                            "source": "#main/seqidM",
                            "id": "#main/step2/seqidM"
                        },
                        {
                            "source": "#main/tagdir",
                            "id": "#main/step2/tagdir"
                        }
                    ],
                    "run": "#convertgff.cwl",
                    "out": [
                        "#main/step2/out1",
                        "#main/step2/out2"
                    ],
                    "id": "#main/step2"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0",
    "$namespaces": {
        "arv": "http://arvados.org/cwl#",
        "cwltool": "http://commonwl.org/cwltool#"
    }
}
